//Fuel tank switches for Omicron Parts

@PART[O_egg_crew_one|O_egg_crew_two|O_egg_crew_three]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]

	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 600.0

		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}

		SUBTYPE
		{
			name = Xenon Gas
			title = Xenon
			tankType = O_Xenon
			transform = label_xenon
		}
	}
}

@PART[O_cockpit_one]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]
	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 350.24
		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}

		SUBTYPE
		{
			name = Xenon Gas
			title = Xenon
			tankType = O_Xenon
			transform = label_xenon
		}
	}
}

@PART[O_cargo_fuel_large]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]

	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 414

		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}

		SUBTYPE
		{
			name = Xenon Gas
			title = Xenon
			tankType = O_Xenon
			transform = label_xenon
		}
	}
}

@PART[O_cargo_fuel_medium]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]

	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 276

		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}

		SUBTYPE
		{
			name = Xenon Gas
			title = Xenon
			tankType = O_Xenon
			transform = label_xenon
		}
	}
}

@PART[O_cargo_fuel_small]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]

	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 138

		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}

		SUBTYPE
		{
			name = Xenon Gas
			title = Xenon
			tankType = O_Xenon
			transform = label_xenon
		}
	}
}

@PART[O_fuel_tank_large_F]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]

	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 1587

		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}

		SUBTYPE
		{
			name = Xenon Gas
			title = Xenon
			tankType = O_Xenon
			transform = label_xenon
		}
	}
}

@PART[O_fuel_tank_large_H]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]

	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 1377.6

		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}

		SUBTYPE
		{
			name = Xenon Gas
			title = Xenon
			tankType = O_Xenon
			transform = label_xenon
		}
	}
}

@PART[O_fuel_tank_medium_F]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]

	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 1065

		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}

		SUBTYPE
		{
			name = Xenon Gas
			title = Xenon
			tankType = O_Xenon
			transform = label_xenon
		}
	}
}

@PART[O_fuel_tank_medium_H]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]

	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 924

		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}

		SUBTYPE
		{
			name = Xenon Gas
			title = Xenon
			tankType = O_Xenon
			transform = label_xenon
		}
	}
}

@PART[O_fuel_tank_small_F]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]

	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 527.4

		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}

		SUBTYPE
		{
			name = Xenon Gas
			title = Xenon
			tankType = O_Xenon
			transform = label_xenon
		}
	}
}

@PART[O_fuel_tank_small_H]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]

	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 457.2

		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}

		SUBTYPE
		{
			name = Xenon Gas
			title = Xenon
			tankType = O_Xenon
			transform = label_xenon
		}
	}
}

@PART[O_fuel_tank_size2_short]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]

	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 2074.8

		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}
	}
}

@PART[O_fuel_tank_size2_medium]:NEEDS[B9PartSwitch]
{
	-RESOURCE[LiquidFuel]
	
	-RESOURCE[Oxidizer]

	MODULE
	{
		name = ModuleB9PartSwitch
		moduleID = fuelSwitch
		switcherDescription = Tank Setup
		affectDragCubes = false
		affectFARVoxels = false
		baseVolume = 4712.4

		SUBTYPE
		{
			name = Structure
			transform = label_strut
		}

		SUBTYPE
		{
			name = LiquidFuel
			tankType = O_LiquidFuel
			transform = label_liquid
		}

		SUBTYPE
		{
			name = LFO
			tankType = O_LFO
			transform = label_lfo
		}
	}
}